//----------------------------------------------DRAW BATT----------------------------------------------------------------------------------------------------
void DrawBatt() {
  tft.setTextSize(1);
  tft.setTextColor(ILI9341_ORANGE, ILI9341_BLACK);
  tft.setCursor(18, 16);
  float measuredvbat = analogRead(VBATPIN);
  measuredvbat *= 2;    // we divided by 2, so multiply back
  measuredvbat *= 3.3;  // Multiply by 3.3V, our reference voltage
  measuredvbat /= 1024; // convert to voltage
  int BattPercent = (measuredvbat - 3.60)*169;
  if (measuredvbat >= 4.21){
  tft.print("-Batt Full-    " );
  }
  else
  {
  tft.print("VBat: " ); tft.print(measuredvbat); tft.print(" Bat%: " );tft.print(BattPercent);tft.print("   " );
  }
}
